org.apache.ignite.ml.util.plugin

## Class MLPluginConfiguration

- java.lang.Object
- - org.apache.ignite.ml.util.plugin.MLPluginConfiguration

- All Implemented Interfaces:
    PluginConfiguration

      public class MLPluginConfiguration
      extends Object
      implements PluginConfiguration

  Configuration of ML plugin that defines which ML inference services should be start up on Ignite startup.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MLPluginConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getMdlDescStorageBackups()`
    `Integer` | `getMdlStorageBackups()`
    `boolean` | `isWithMdlDescStorage()`
    `boolean` | `isWithMdlStorage()`
    `void` | `setMdlDescStorageBackups(Integer mdlDescStorageBackups)`
    `void` | `setMdlStorageBackups(Integer mdlStorageBackups)`
    `void` | `setWithMdlDescStorage(boolean withMdlDescStorage)`
    `void` | `setWithMdlStorage(boolean withMdlStorage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MLPluginConfiguration

          public MLPluginConfiguration()

  - ### Method Detail

    - #### isWithMdlStorage

          public boolean isWithMdlStorage()

    - #### setWithMdlStorage

          public void setWithMdlStorage(boolean withMdlStorage)

    - #### isWithMdlDescStorage

          public boolean isWithMdlDescStorage()

    - #### setWithMdlDescStorage

          public void setWithMdlDescStorage(boolean withMdlDescStorage)

    - #### getMdlStorageBackups

          public Integer getMdlStorageBackups()

    - #### setMdlStorageBackups

          public void setMdlStorageBackups(Integer mdlStorageBackups)

    - #### getMdlDescStorageBackups

          public Integer getMdlDescStorageBackups()

    - #### setMdlDescStorageBackups

          public void setMdlDescStorageBackups(Integer mdlDescStorageBackups)

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021